Contents

# Left Function

Returns the number of leftmost characters that you specify of a string expression.

### Syntax:

    Left (string As String, length As Long) As String

### Return type:

String

### Parameters:

string: Any string expression that you want to return the leftmost characters from.

length: Numeric expression that specifies the number of characters that you want to return. If length = 0, a zero-length string is returned. The maximum allowed value is 2,147,483,648.

The following example converts a date in YYYY.MM.DD format to MM/DD/YYYY format.

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("Please input a date in the international format 'YYYY-MM-DD'")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub

Related Topics

String functions